# Generated from pinpoint-0.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pinpoint

Name: rubygem-%{gem_name}
Version: 0.4.1
Release: 1%{?dist}
Summary: (Un)conventional Address Composition for Ruby (and Rails)
License: MIT
URL: https://github.com/thekompanee/pinpoint
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0.beta
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspectacular) >= 0.22.2
# BuildRequires: rubygem(rspectacular) < 0.23
# BuildRequires: rubygem(shoulda-matchers) >= 2.5
# BuildRequires: rubygem(shoulda-matchers) < 3
# BuildRequires: rubygem(activemodel) >= 4.0
# BuildRequires: rubygem(activemodel) < 5
BuildArch: noarch

%description
Handling common address logic. (currently only for US addresses but
international is planned.).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.4.1-1
- Initial package
